package com.displaynone.acss.components.acs.code.service;

import com.displaynone.acss.components.acs.code.CodeModel;

import java.util.Optional;

public interface CodeService {
    Optional<CodeModel> getCodeById(Long codeId);

    CodeModel getCodeByIdStrict(Long codeId);

    Optional<CodeModel> getCodeByValue(Long value);

    CodeModel getCodeByValueStrict(Long value);

    boolean isCodeIdValid(Long codeID);

    boolean isValid(Long code);
}
