package com.displaynone.acss.components.acs.visit.service;

import com.displaynone.acss.components.acs.visit.VisitModel;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface VisitService {
    List<VisitModel> getByCodeId(Long code);

    List<VisitModel> getByUserId(Long userID);

    Page<VisitModel> getVisitsByCodeIdPaginated(Long codeId, Pageable pageable);

    Page<VisitModel> getVisitsByUserIdPaginated(Long userId, Pageable pageable);
}
